Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.util
Class DeserializerComparator<T>

    java.lang.Object
      org.apache.hadoop.conf.Configured
          cascading.tuple.hadoop.util.DeserializerComparator<T>

All Implemented Interfaces:
  Comparator<T>, Configurable, RawComparator<T>

Direct Known Subclasses:
  CoGroupingComparator, GroupingComparator, GroupingSortingComparator, IndexTupleCoGroupingComparator, TupleComparator

    public abstract class DeserializerComparator<T>

extends Configured
implements RawComparator<T>

Class DeserializerComparator is the base class for all Cascading comparator classes.

Constructor Summary
`DeserializerComparator()`

Method Summary
`static Comparator[]` | `getFieldComparatorsFrom(Configuration conf, String name)`
`void` | `setConf(Configuration conf)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.io.RawComparator
`compare`

Methods inherited from interface java.util.Comparator
`compare, equals`

Constructor Detail

### DeserializerComparator

    public DeserializerComparator()

Method Detail

### setConf

    public void setConf(Configuration conf)

  Specified by:
    `setConf` in interface `Configurable`
  Overrides:
    `setConf` in class `Configured`

### getFieldComparatorsFrom

    public static Comparator[] getFieldComparatorsFrom(Configuration conf,
                                                       String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.